Bug 1568928 - gsoap: Infinite loop on malformed DIME protocol messages
Summary: gsoap: Infinite loop on malformed DIME protocol messages
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1568929 1568930
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 12:32 UTC by Andrej Nemec
Modified: 2019-09-29 14:37 UTC (History)
2 users (show)

Fixed In Version: gsoap 2.8.52
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:08 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-04-18 12:32:15 UTC
An issue was found in the DIME protocol receiver that may cause the receiver to become unresponsive when a malformed DIME protocol message is received.

External Refernences:

https://www.genivia.com/advisory.html

Comment 1 Andrej Nemec 2018-04-18 12:32:37 UTC
Created gsoap tracking bugs for this issue:

Affects: fedora-all [bug 1568930]
Affects: epel-all [bug 1568929]

Comment 2 Product Security DevOps Team 2019-06-10 10:20:08 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.